var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconText1Component(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-Text_1").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 18 18", fill: useCurrentColor ? 'currentColor' : '#000', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M4.33325 2.33325C3.22869 2.33325 2.33325 3.22869 2.33325 4.33325V13.6666C2.33325 14.7712 3.22869 15.6666 4.33325 15.6666H13.6666C14.7712 15.6666 15.6666 14.7712 15.6666 13.6666V4.33325C15.6666 3.22869 14.7712 2.33325 13.6666 2.33325H4.33325ZM5.66658 4.99992H12.3333C12.7015 4.99992 12.9999 5.2984 12.9999 5.66658V6.99992C12.9999 7.3681 12.7015 7.66658 12.3333 7.66658C11.9651 7.66658 11.6666 7.3681 11.6666 6.99992V6.33325H9.66658V11.6666H10.3333C10.7015 11.6666 10.9999 11.9651 10.9999 12.3333C10.9999 12.7015 10.7015 12.9999 10.3333 12.9999H9.66658H8.33325H7.66658C7.2984 12.9999 6.99992 12.7015 6.99992 12.3333C6.99992 11.9651 7.2984 11.6666 7.66658 11.6666H8.33325V6.33325H6.33325V6.99992C6.33325 7.3681 6.03477 7.66658 5.66658 7.66658C5.2984 7.66658 4.99992 7.3681 4.99992 6.99992V5.66658C4.99992 5.2984 5.2984 4.99992 5.66658 4.99992Z" }));
}
var IconText1 = React.forwardRef(IconText1Component);
export default IconText1;
